<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <meta name="mobile-web-app-capable" content="yes"/>
    <meta name="apple-mobile-web-app-capable" content="yes"/>
    <meta name="HandheldFriendly" content="true"/>
    <meta http-equiv="Content-Security-Policy" content="default-src 'self' *.abuzzsolutions.asia; img-src 'self' data: *.abuzzsolutions.asia; style-src 'self' 'unsafe-inline' *.abuzzsolutions.asia; script-src 'self' 'unsafe-inline' 'unsafe-eval' *.abuzzsolutions.asia; font-src 'self' *.abuzzsolutions.asia;"/>
    <meta name="description" content="AMap(c) way-finding">
    <link rel="icon" href="data:;base64,iVBORw0KGgo=">
    <?php
        $http_host = $_SERVER["HTTP_HOST"];
        $site = $_GET["site"];
        $host = "https://".$http_host."/amap/";

        $dum = time();
        $style = isset($_GET["style"]) ? $_GET["style"] : $site;
        $file = "assets/client/".$style."/fonts.css";
        if(file_exists($file)) {
            echo '<link href="'.$host.$file.'?dum='.$dum.'" rel="stylesheet">';
        } else {
            echo '<link href="'.$host.'styles/css/fonts.css?dum='.$dum.'" rel="stylesheet">';
        }
        echo '<link href="'.$host.'styles/css/amobile.css?dum='.$dum.'" rel="stylesheet">';

        $file = "assets/client/".$style."/override.css";
        if(file_exists($file)) {
            echo '<link href="'.$host.$file.'?dum='.$dum.'" rel="stylesheet">';
        }
        echo '<script type="text/javascript" src="'.$host.'js/amobile.min.js?dum='.$dum.'"></script>';

        $file = "assets/client/".$style."/override.js";
        if(file_exists($file)) {
            echo '<script type="text/javascript" src="'.$host.$file.'?dum='.$dum.'"></script>';
        }
    ?>
</head>
<body class="webApp homeMode">
<div id="mapLabelsFontsLoading" style="position: fixed; opacity: 0;">.</div>
<div id="loadingPanel">
    <?php
        $site = $_GET["site"];
        $file = "./assets/client/".$site."/loading.html";

        if(!file_exists($file)) {
            $file = './assets/default_loading.html';
        }
        include($file);
    ?>
</div>

<div id="qrScanPanel" style="display: none;">
    <div id="qrScanPanelWrapper">
        <div class="lang-dir-align" data-i18n='qr_scan'>Scan...</div>
        <canvas hidden="" id="qr-canvas"></canvas>
        <div id="qrScanError" class="lang-dir-align"></div>
        <div class="textBtn" onclick="closeQrScanPanel();" data-i18n='close'>Close</div>
    </div>
</div>

<div id="mapPanel">
    <div id="amap"></div>
    <div id="lazyLoading" style="display: none;"><img src="assets/images/loading.gif" alt=""></div>
    <div id="blueDot" style="display: none;">
        <div id="blueDotPrec"></div>
        <div id="blueDotOrient"></div>
        <div id="blueDotPos"></div>
    </div>
    <div id="poiPinPoint" style="display: none;">
        <div id="poiPinPointContent"></div>
    </div>
    <div id="mapToolbars">
        <div id="compassWrapper" class="ui-toolbar">
            <div id="compass"><img src="css/north.png" data-img="north" alt=""></div>
        </div>
        <div class="ui-toolbar" id="zonesMenu"></div>
        <div class="ui-toolbar" id="zoomMenu">
            <button id="zoomMore" type="button" class="zoombtn"><img src="assets/images/plus.png" data-img="plus" alt=""/></button>
            <button type="button" class="zoombtn" onclick="resetView();"><img src="assets/images/reset_map.png" data-img="reset_map" alt=""/></button>
            <button id="zoomLess" type="button" class="zoombtn"><img src="assets/images/minus.png" data-img="minus" alt=""/></button>
        </div>
        <div id="mapLabels" style="display: none;" onclick="toggleLabeling();">
            <img src="assets/images/tag.png" data-img="tag" alt=""/>
        </div>
    </div>
    <div id="mapExtra">
        <div id="alternativeRoutes" style="display: none;">
            <div id="alternativeRoutesList"></div>
        </div>
        <div id="zoneTransition" style="display: none;"></div>
    </div>
    <div id="startNode" style="display: none;">
        <div id="startNodeWrapper"></div>
    </div>
    <div id="mapGestures" style="display: none;">
        <div id="gesturesBody">
            <div class="aGesture"><img src="assets/images/pan.png" alt=""><div data-i18n="pan">Drag Map</div></div>
            <div class="aGesture"><img src="assets/images/zoom_rotate.png" alt=""><div data-i18n="zoom_rotate">Zoom & Rotate</div></div>
        </div>
        <div class="textBtn" onclick="hideGestures();">Got it</div>
    </div>
</div>

<div id="mainServiceTypesListWrapper">
    <div id="mainServiceTypesList"></div>
</div>

<div id="searchPanel" style="display:none;">
    <div id="searchSwitcher" class="site-logo homeMode">
        <img src="" alt="">
    </div>
    <div id="langList">
    </div>
    <div id="searchSocialLinks">
    </div>
    <div id="searchPanelWrapper">
        <div id="searchFilters">
            <div id="homeBtn" class="iconBtn" onclick="fullReset()"><img src="assets/images/home.png" alt=""></div>
            <div id="backBtn" class="iconBtn" onclick="onBackSearchPanel()"><img src="assets/images/back.png" data-img="back" alt=""></div>
            <div class="inputsWrapper">
                <div id="searchFromWrapper" class="searchInputWrapper lang-dir">
                    <div class="preSearchInput navRelated">o</div>
                    <div class="searchInputTextWrapper">
                        <input id="searchFrom" type="text" autocomplete="off" class="searchInput" placeholder="Your Location...">
                        <img class="searchclear searchInputBtn" src="assets/images/clear.png" alt="" style="display: none;"/>
                        <img class="searchmicro searchInputBtn" src="assets/images/micro.png" alt=""/>
                        <img class="searchscan searchInputBtn" src="assets/images/qr-scan.png" alt=""/>
                    </div>
                    <div id="searchFromZone" class="searchInputZone navRelated"></div>
                </div>
                <div id="searchToWrapper" class="searchInputWrapper lang-dir">
                    <div class="preSearchInput navRelated"><img src="assets/images/map-pin2.png" data-img="map_pin2" alt=""></div>
                    <div class="searchInputTextWrapper">
                        <img class="searchlupe" src="assets/images/home_search.png" data-img="home_search" alt=""/>
                        <input id="searchTo" type="text" autocomplete="off" class="searchInput" placeholder="Search here...">
                        <img class="searchclear searchInputBtn" src="assets/images/clear.png" alt="" style="display: none;"/>
                        <img class="searchmicro searchInputBtn" src="assets/images/micro.png" alt=""/>
                    </div>
                    <div id="searchToZone" class="searchInputZone navRelated"></div>
                </div>
            </div>
        </div>
        <div id="topCatsListWrapper">
            <div id="topCatsList"></div>
        </div>
        <div id="searchResultsWrapper">
            <div id="searchResultsHeader">
                <div id="closeResults" class="textBtn" onclick="closeResultsPanel();"><img src="assets/images/close.png" alt=""><span data-i18n="close">Close</span></div>
                <div id="searchUseMyLoc" class="usemyloc" style="display: none;" data-i18n='use_my_loc'>Use my location</div>
            </div>
            <div id="searchResultsListWrapper">
                <div id="categorySponsor" style="display: none;">
                    <div id="cat_sponsor_media"></div>
                </div>
                <div id="searchResultsList"></div>
            </div>
        </div>
    </div>
</div>

<div id="announcementsPanel" class="homeMode">
    <div id="fakeHomeSearch" class="lang-dir-align">
        <div id="homeSearchText" class="lang-dir" data-i18n="home_search_text">Search...</div>
        <div id="homeSearchIcon"></div>
    </div>
    <div id="announcementsPanelWrapper">
        <div id="announcementsSubPanelsWrapper">
            <div id="dealsPanel" class="events-panel">
                <div class="eventsHeader lang-dir">
                    <div class="section-title lang-dir-align" data-i18n='deals'>Offers</div>
                </div>
                <div class="eventsPanelWrapper"></div>
            </div>
            <div id="eventsPanel" class="events-panel">
                <div class="eventsHeader lang-dir">
                    <div class="section-title lang-dir-align" data-i18n='events'>Events</div>
                    <div class="eventsTags"></div>
                </div>
                <div class="eventsPanelWrapper"></div>
            </div>
            <div id="infosPanel" class="events-panel">
                <div class="eventsHeader lang-dir">
                    <div class="section-title lang-dir-align" data-i18n='infos'>Informations</div>
                </div>
                <div class="eventsPanelWrapper"></div>
            </div>
        </div>
    </div>
    <div id="homeWidgets">
        <div id="myVisitListBtn" class="textBtn lang-dir" onclick="showVisitListPanel();">
            <img src="assets/images/fav.png" data-img="fav_add" alt="">
            <span data-i18n='visitlist'>Visit List</span>&nbsp;(<span id="vlCount"></span>)
        </div>
        <div id="myFindCar" class="textBtn" onclick="showFindCarPanel();" style="display:none;">
            <img src="assets/images/parking.png" alt="">
            <span data-i18n='fmc_title'>Parking</span>
        </div>
        <div id="mySurvey" class="textBtn" onclick="showSurveyPanel();" style="display:none;">
            <img src="assets/images/survey.png" alt="">
            <span data-i18n='survey'>Survey</span>
        </div>
    </div>
    <div id="mallContact"></div>
</div>

<div id="poiPopupPanel" class="drawerPanel" style="display: none;">
    <div class="drawerPanelDragger">
        <div class="draggerBar"></div>
    </div>
    <div id="poiPopupPanelWrapper">
    </div>
    <div id="structuredHoursWrapper" style="display: none;">
        <div onclick="hideStructuredHoursPanel();" class="iconBtn"><img src="assets/images/close.png" alt=""></div>
        <div id="structuredHoursList"></div>
    </div>
</div>

<div id="ipsNavPanel">
    <div id="ipsNavHeader">
        <div class="iconBtn" onclick="onBackNavPanel()"><img src="assets/images/back.png" data-img="back" alt=""></div>
        <div id="ipsNavTitle"></div>
    </div>
    <div id="ipsNavInfo">
        <!--<div id="ipsTurnMsg"></div>-->
        <div id="ipsNavDir">
            <img id="ipsNavDirArrow" src="assets/images/ips_nav_dir.png" alt="">
        </div>
    </div>
</div>

<div id="pathPopupPanel" class="drawerPanel" style="display: none">
    <div class="drawerPanelDragger">
        <div class="draggerBar"></div>
    </div>
    <div id="pathPopupPanelWrapper">
        <div id="pathPopupTop">
            <div id="pathTitle">
                <div>
                    <div id="pathDistance"></div>
                    <div id="pathToPoi">Destination</div>
                </div>
                <div id="pmrWrapper">
                    <label data-i18n='lift_route'>Lift Route</label>
                    <label id="pmrWrapperSwitch" class="mySwitch">
                        <input id="pmrBtn" type="checkbox" onclick="onPMRClick();">
                        <span class="slider round"></span>
                    </label>
                </div>
                <div id="pathStop" class="textBtn" style="display: none;" data-i18n='stop'>Stop</div>
            </div>
            <div id="pathDirections">
                <div id="takeMeThereBtn" class="textBtn">
                    <img src="assets/images/walk2.png" data-img="walk2" alt="">
                    <span data-i18n='take_me_there'>Start Navigation</span>
                </div>
            </div>
            <div id="ipsNavFooter">
                <div id="ipsNavRecenter" class="textBtn" style="display: none;">
                    <img src="assets/images/recenter.png" alt="">
                    <span data-i18n='recenter'>ReCenter</span>
                </div>
                <div id="ipsNavAR" class="textBtn" style="display: none;">AR &gt;</div>
            </div>
        </div>
        <div id="pathStepsWrapper" class="lang-dir">
        </div>
    </div>
</div>

<div id="announceInfoPanel" style="display: none;" class="backdrop-modal">
    <div class="backdrop-modal-content">
    </div>
</div>

<div id="serviceTypesPanel" style="display: none;" class="backdrop-modal">
    <div class="backdrop-modal-content">
        <div class="info-header">
            <div data-i18n='facilities'>Facilities</div>
            <div class="iconBtn info-header-close" onclick="hideSubServiceTypesPanel()"><img src="assets/images/close.png" data-img="close" alt=""></div>
        </div>
        <div class="info-body">
            <div id="serviceTypesListWrapper">
                <div id="serviceTypesList"></div>
            </div>
        </div>
    </div>
</div>

<div id="servicesPanel" style="display: none;" class="backdrop-modal">
    <div class="backdrop-modal-content">
    </div>
</div>

<div id="notFoundPanel" style="display: none;" class="backdrop-modal">
    <div class="backdrop-modal-content">
        <div class="info-header">
            <div class="lang-dir"><span data-i18n='no_results_title'>No Results</span> <span id="noResVal"></span></div>
            <div class="iconBtn info-header-close" onclick="hideNotFoundPanel()"><img src="assets/images/close.png" data-img="close" alt=""></div>
        </div>
        <div class="info-body">
            <div id="notFoundQuest" class="lang-dir">
                <span data-i18n='no_results_what'>Options</span>
                <div id="notFoundOptions">
                    <div class="noResType textBtn" data-filter="pois" data-i18n='pois'>Locations</div>
                    <div class="noResType textBtn" data-filter="products" data-i18n='products'>Products</div>
                    <div class="noResType textBtn" data-filter="brands" data-i18n='brands'>Brands</div>
                    <div class="noResType textBtn" data-filter="services" data-i18n='services'>Services</div>
                    <div class="noResType textBtn" data-filter="categories" data-i18n='categories'>Categories</div>
                    <div class="noResType textBtn" data-filter="other" data-i18n='other'>Other</div>
                </div>
            </div>
            <div id="notFoundThx" style="text-align: center; margin-top: 40px; display: none;">
                <span data-i18n='no_results_thx'></span>
            </div>
        </div>
        <div class="info-actions lang-dir">
            <div data-i18n='no_private_sent'></div>
        </div>
    </div>
</div>

<div id="visitListPanel" style="display: none;" class="backdrop-modal">
    <div class="backdrop-modal-content">
        <div class="info-header lang-dir">
            <span data-i18n='visitlist'>Visit List</span>
            <div class="iconBtn info-header-close" onclick="hideVisitListPanel()"><img src="assets/images/close.png" data-img="close" alt=""></div>
        </div>
        <div class="info-body">
            <div id="visitListPanelWrapper">
                <div id="visitListResults" class="visit-results">
                </div>
                <div id="processPlan" style="display: none;">
                    <div id="processPlanFrom"></div>
                    <img src="assets/images/working.gif" alt="Processing...">
                </div>
            </div>
        </div>
        <div class="info-actions">
            <div id="visitListShortest" class="textBtn" data-i18n='visitlist_shortest'>Shortest Route</div>
            <div id="visitListClear" class="textBtn" data-i18n='clear_all'>Clear</div>
        </div>
    </div>
</div>

<div id="findCarPanel" style="display: none;" class="backdrop-modal">
    <div class="backdrop-modal-content">
        <div class="info-header">
            <span data-i18n='fmc_title'>Parking</span>
            <img src="assets/images/close.png" class="info-header-close" alt="" onclick="hideFindCarPanel();">
        </div>
        <div class="info-body">
            <div id="findCarInputWrapper">
                <div class="searchInputTextWrapper">
                    <input id="searchPlateNumber" autocomplete="off" type="text" class="searchInput lang-dir-align" placeholder="Plate number...">
                    <img class="searchclear searchInputBtn" src="assets/images/clear.png" alt="" style="display: none;"/>
                </div>
                <div id="findCarSearch" class="textBtn" data-i18n='search'>Search</div>
            </div>
            <div id="findCarResultsWrapper">
                <div id="findCarResults"></div>
            </div>
        </div>
        <div class="info-actions"></div>
    </div>
</div>

<div id="surveyPanel" class="backdrop-modal" style="display: none;">
    <div class="backdrop-modal-content">
        <div class="info-header">
            <span data-i18n='survey'>Survey</span>
            <img src="assets/images/close.png" class="info-header-close" alt="" onclick="hideSurveyPanel();">
        </div>
        <div class="info-body">
            <div id="surveyContent">
            </div>
            <div id="startSurvey" class="textBtn" data-i18n='survey_btn'>Start</div>
        </div>
        <div class="info-actions"></div>
    </div>
</div>

<!-- templates -->

<script id="alt-routes-template" type="text/x-handlebars-template">
    {{#if services.length}}
        {{#each services}}
            <div class="service-shortcut" data-filter="{{ code }}">
                {{#if logo }}
                    <div class="service-logo" style="background-image: url('{{../mediaUrl }}{{ logo.link }}')"></div>
                {{/if}}
                <div class="service-title">{{{ multiLangRawTranslate title 'value' true }}}</div>
            </div>
        {{/each}}
    {{/if}}
</script>

<script id="langs-template" type="text/x-handlebars-template">
    {{#if langs.length}}
        {{#each langs}}
            <div class="lang" data-filter="{{ code }}">
                <span>{{{ langTitle code }}}</span>
            </div>
        {{/each}}
    {{/if}}
</script>

<script id="poi-popup-template" type="text/x-handlebars-template">
    <div id="poiTopWrapper">
        <div id="poiTitle">
            {{#if poi.logo}}
            <div class="poi-logo">
                {{#if poi.cat}}
                 <img src="{{ mediaUrl }}{{ poi.logo }}" class="poi-service-type-logo-img" alt="">
                {{else if poi.code }}
                <img src="{{ mediaUrl }}{{ poi.logo.link }}" class="poi-service-type-logo-img" alt="">
                {{else if poi.type }}
                <img src="{{ mediaUrl }}{{ poi.logo }}" class="poi-service-type-logo-img" alt="">
                {{else}}
                <img src="{{ mediaUrl }}{{ multiLangRawTranslate poi.logo 'link' true }}" alt="">
                {{/if}}
            </div>
            {{else if poi.type }}
            <div class="poi-logo">
                <img src="{{ mediaUrl }}{{ serviceTypeLogoLink poi.type }}" class="poi-service-type-logo-img" alt="">
            </div>
            {{/if}}
            <div id="poiTitleInfo">
                <div class="poi-title">
                {{#if poi.title}}
                    {{{ multiLangRawTranslate poi.title 'value' true }}}
                {{else if poi.cat}}
                    {{{ serviceTitle poi.cat }}}
                {{else if poi.type }}
                    {{{ serviceTitle poi.type }}}
                {{/if}}
                </div>
                {{#if district}}
                    {{#if district.logo}}
                        <div class="poi-district"><img src="{{ mediaUrl }}{{ district.logo.link }}" alt=""></div>
                    {{else}}
                        <div class="poi-district">{{{ categoryTitle district.code }}}</div>
                    {{/if}}
                {{/if}}
                <div class="poi-zone">
                    {{#if poi.refPoiTitle }}
                        <div>
                            {{ multiLangRawTranslate poi.refPoiTitle 'value' true }}
                            {{#if poi.contact.floorNumber }} ({{{ poi.contact.floorNumber }}}) {{/if}}
                        </div>
                    {{else}}
                        <span class="poi-zone-zone">
                        {{#if (and poi.type poi.contact.floorNumber) }}
                            {{{ poi.contact.floorNumber }}}
                        {{else if node }}
                            {{{ zoneName node.zn }}}
                        {{/if}}
                        </span>
                    {{/if}}
                    {{#if poi.cellId}}
                        <span class="poi-zone-cellId"> {{ poi.cellId }} </span>
                    {{/if}}
                    {{#if distance}}<span class="poi-zone-dist"> ({{ distance }}) </span>{{/if}}
                    {{#if poi.openingSoon }}<span class="opsoon-title"> ({{{ opSoonTitle poi }}})</span>{{/if}}
                </div>
            </div>
            {{#if (and share node) }}
                <div class="share-btn iconBtn"><img src="{{img 'share'}}" alt=""></div>
            {{/if}}
        </div>
        <div id="poiDirections">
            {{#if addToList }}
                <div class="visitlist-add textBtn" data-filter="{{ poi.id }}"><img src="{{img 'fav_add'}}" alt=""> {{ i18n 'add_to_mylist' }}</div>
            {{/if}}
            {{#if (or node poi.code) }}
                <div id="poiDirBtn" class="textBtn"><img src="assets/images/directions.png" alt=""> {{ i18n 'directions' }}</div>
            {{/if}}
        </div>
    </div>
    <div id="poiBottomWrapper">
        {{#if poi.card }}
        <div class="poi-card" style="background-image: url('{{ mediaUrl }}{{ poi.card.0.link }}');"></div>
        {{/if}}
        <div id="poiCatsAndOpts">
            <div id="poiCategories" class="lang-dir">
                {{#if poi.categories }}
                {{ i18n 'found_in' }}
                {{#each poi.categories}}
                    <div class="poi-cat linkText" data-filter="{{ this }}">{{{ categoryTitle this }}}</div>
                {{/each}}
                {{/if}}
            </div>
            <div id="poiOptions">
                {{#if poi.options }}
                {{#each poi.options}}
                <img class="poi-option" data-filter="{{ this }}" src="{{../mediaUrl}}{{ optionLogoLink this }}" alt="">
                {{/each}}
                {{/if}}
            </div>
        </div>
        {{#if poi.description }}
        <div class="poi-desc lang-dir">{{{ multiLangRawTranslate poi.description 'value' true }}}</div>
        {{/if}}
        <div id="poiContact">
            {{#if poi.contact}}
                <p class="todayHours">
                    <img src="assets/images/timing.png" alt="">
                    {{{ todayHours poi.contact true }}}
                    <span class="isClosing">{{ closingText poi.contact }}</span>
                </p>
            {{/if}}
            {{#if poi.contact.phone}}
            <p><img src="assets/images/phone.png" alt=""> <a class="linkText" href="tel:{{ poi.contact.phone }}">{{ poi.contact.phone }}</a></p>
            {{/if}}
            {{#if poi.contact.email}}
            <p><img src="assets/images/email.png" alt=""> <a class="linkText" href="mailto:{{ poi.contact.email }}">{{ poi.contact.email }}</a></p>
            {{/if}}
            {{#if poi.contact.website}}
            <p><img src="assets/images/web.png" alt=""> <a class="linkText" href="{{ poi.contact.website }}" target="_blank">{{ i18n "website" }}</a></p>
            {{/if}}
            <div class="contact-links">
                {{#if poi.contact.facebook}}
                    <a href="{{ poi.contact.facebook }}" target="_blank" rel="noreferrer"><img src="assets/images/facebook2.png" alt=""></a>
                {{/if}}
                {{#if poi.contact.instagram}}
                    <a href="{{ poi.contact.instagram }}" target="_blank" rel="noreferrer"><img src="assets/images/instagram2.png" alt=""></a>
                {{/if}}
                {{#if poi.contact.twitter}}
                    <a href="{{ poi.contact.twitter }}" target="_blank" rel="noreferrer"><img src="assets/images/twitter2.png" alt=""></a>
                {{/if}}
            </div>
        </div>
        <div id="poiDeals">
            <div class="section-title">{{ i18n 'deals'}}</div>
            <div class="eventsPanelWrapper"></div>
        </div>
        {{#if similar}}
        <div id="poiSimilar">
            <div class="section-title">{{ i18n 'similar_stores'}}</div>
            <div class="poi-similar-list-wrapper">
                <div class="poi-similar-list">
                    {{#each similar}}
                    <div class="poi-similar-item" data-filter="{{ id }}">
                        {{#if logo}}
                        <img src="{{ ../mediaUrl }}{{ multiLangRawTranslate logo 'link' true }}" alt=""><br>
                        {{/if}}
                        {{{ multiLangRawTranslate title 'value' true }}}
                    </div>
                    {{/each}}
                </div>
            </div>
        </div>
        {{/if}}
    </div>
</script>

<script id="structured-hours-template" type="text/x-handlebars-template">
    {{#each days}}
        <p>{{ dayHours this ../contact }}</p>
    {{/each}}
</script>

<script id="path-popup-template" type="text/x-handlebars-template">
    {{#if path.steps}}
        {{#each path.steps}}
            <div class="path-step">
                {{#if main}}
                    <div class="path-step-play" data-filter="{{part}}"><img src="assets/images/play.png" alt=""></div>
                {{/if}}
                <div class="path-step-action lang-dir">{{{ formatPathStepAction this }}}</div>
                <div class="path-step-time">{{ formatPathStepDistance this }}</div>
            </div>
            {{#if turns}}
                <div class="part-turn-list">
                    {{#each turns}}
                        <div class="part-turn">{{{ formatPartTurnAction this }}}</div>
                    {{/each}}
                </div>
            {{/if}}
        {{/each}}
    {{/if}}
</script>

<script id="main-cats-template" type="text/x-handlebars-template">
    {{#if cats.length}}
    {{#each cats}}
    <div class="category {{#if clazz }}{{ clazz }}{{/if}}" data-filter="{{ code }}">
        {{#if logo }}
        <div class="cat-logo"><img src="{{ ../mediaUrl }}{{ logo.link }}" loading="lazy" alt=""></div>
        {{/if}}
        <div class="cat-title">{{{ multiLangRawTranslate title 'value' true}}}</div>
    </div>
    {{/each}}
    {{/if}}
</script>

<script id="res-poi-template" type="text/x-handlebars-template">
    {{#if results.length }}
        {{#each results}}
            {{#if code }}
                <div class="res-cat-item" data-filter="{{ code }}">
                    <div class="cat-logo">
                    {{#if logo }}
                        <img src="{{ ../mediaUrl }}{{ logo.link }}" loading="lazy" alt="">
                    {{/if}}
                    </div>
                    <div class="cat-title" style="direction:{{ ../langDir }}; text-align:{{ ../langAlign }}">{{{ multiLangRawTranslate title 'value' true}}}</div>
                    <div class="res-arrow"><img src="{{img 'res_arrow'}}" alt=""></div>
                </div>
            {{else if type }}
                <div class="res-poi-item" data-filter="{{ id }}">
                    <div class="poi-logo">
                    </div>
                    <div class="poi-label" style="direction:{{ ../langDir }}; text-align:{{ ../langAlign }};">
                        <div class="poi-title">{{{ multiLangRawTranslate title 'value' true}}}</div>
                        <div class="poi-extra">
                            {{ serviceTitle type }}
                            {{#if contact.floorNumber }}
                                / {{ i18n 'floor' }} {{{ contact.floorNumber }}}
                            {{else if node }}
                                / {{{ zoneName node.zn }}}
                            {{/if}}
                        </div>
                    </div>
                    <div class="res-arrow"><img src="{{img 'res_arrow'}}" alt=""></div>
                </div>
            {{else if separator }}
                <div class="res-separator">{{ separator }}</div>
            {{else}}
                <div class="res-poi-item" data-filter="{{ id }}">
                    <div class="poi-logo">
                        {{#if logo }}
                        <img src="{{ ../mediaUrl }}{{ multiLangRawTranslate logo 'link' true }}" loading="lazy" alt="">
                        {{/if}}
                    </div>
                    <div class="poi-label" style="direction:{{ ../langDir }}; text-align:{{ ../langAlign }};">
                        <div class="poi-title">{{{ multiLangRawTranslate title 'value' true}}}</div>
                        <div class="poi-extra">
                            {{#if refPoiTitle }}
                                <span class="poi-extra-zone">
                                    {{ multiLangRawTranslate refPoiTitle 'value' true }}
                                    {{#if contact.floorNumber }} ({{{ contact.floorNumber }}}) {{/if}}
                                </span>
                            {{else if node}}
                                <span class="poi-extra-zone">{{{ zoneName node.zn }}}</span>
                            {{else if contact.floorNumber }}
                                <span class="poi-extra-zone">{{ i18n 'floor' }} {{{ contact.floorNumber }}}</span>
                            {{/if}}
                            {{#if cellId}}
                                <span class="poi-extra-cellId">{{ cellId }}</span>
                            {{/if}}
                            {{#if distance}}<span class="poi-extra-dist"> ({{ distance }}) </span>{{/if}}
                            {{#if openingSoon}}<span class="opsoon-title"> ({{{ opSoonTitle this }}})</span>{{/if}}
                        </div>
                    </div>
                    {{#if deals}}
                        <div class="poi-options">{{{ i18n "deal_option"}}}</div>
                    {{/if}}
                    <div class="res-arrow"><img src="{{img 'res_arrow'}}" alt=""></div>
                </div>
            {{/if}}
        {{/each}}
        {{#if hashTags }}
        {{#each hashTags }}
            <div class="res-hashtag-list-wrapper {{ tag }}">
                {{#each cats }}
                <div class="res-hashtag-item {{ ../tag }}" data-filter="{{ code }}">
                    <div class="cat-title">{{{ multiLangRawTranslate title 'value' true}}}</div>
                    <div class="cat-logo">
                        {{#if logo }}
                        <img src="{{ ../../mediaUrl }}{{ logo.link }}" loading="lazy" alt="">
                        {{/if}}
                    </div>
                </div>
                {{/each}}
            </div>
        {{/each}}
        {{/if}}
        {{#if more}}
        <div class='res-more-item' onclick='showMoreResults();'>{{{ i18n "more_results"}}}</div>
        {{/if}}
    {{else}}
        <div class='notfound-item'>
            {{{ i18n "no_results" }}}
            {{#if hasSubmit }}
                <div style="display: flex; flex-direction: column; align-items: center;">
                    <div>{{{ i18n "no_results_submit" }}}</div>
                    <div class="textBtn" onclick="submitMissedSearch();">{{ i18n 'submit' }}</div>
                </div>
            {{/if}}
            {{#if suggestions }}
            <div class="res-separator" style="direction:{{ langDir }}; text-align:{{ langAlign }};">{{{ i18n 'suggest_title' }}}</div>
            <div id="suggestionsListWrapper">
                <div id="suggestionsList">
                {{#each suggestions }}
                    <div class="res-poi-item" data-filter="{{ id }}">
                        <div class="poi-label" style="direction:{{ ../langDir }}; text-align:{{ ../langAlign }};">
                            <p class="poi-title">{{{ multiLangRawTranslate title 'value' true}}}</p>
                        </div>
                    </div>
                {{/each}}
                </div>
            </div>
            {{/if}}
        </div>
    {{/if}}
</script>

<script id="services-results-template" type="text/x-handlebars-template">
    <div class="info-header">
        <div class="info-header-title">
            {{#if serviceType}}
            {{#if serviceType.logo}}
            <img src="{{ mediaUrl}}{{ serviceType.logo.link}}" class="service-type-logo" alt="">
            {{/if}}
            {{{ multiLangRawTranslate serviceType.title 'value' true}}}
            {{/if}}
        </div>
        <div class="iconBtn info-header-close" onclick="hideServicesPanel()"><img src="assets/images/close.png" data-img="close" alt=""></div>
    </div>
    <div class="info-body">
        <div id="servicesResultsListWrapper">
            <div id="servicesResults">
                {{#if results.length}}
                {{#each results}}
                <div class="service-item" data-filter="{{ id }}">
                    <div>
                        {{#if title}}
                            {{ multiLangRawTranslate title 'value' true}}
                        {{else if type}}
                            {{ serviceTitle type }}
                        {{/if}}
                    </div>
                    <div>
                        {{#if contact.floorNumber }}
                            {{{ contact.floorNumber }}}
                        {{else if node }}
                            {{{ zoneShortName node.zn }}}
                        {{/if}}
                        {{#if distance}}<span> - {{ distance }}</span>{{/if}}
                    </div>
                </div>
                {{/each}}
                {{/if}}
            </div>
        </div>
    </div>
    <div class="info-actions">
        {{#if serviceType}}
        <div id="nearestService" class="textBtn" data-filter="{{ serviceType.code }}">{{ i18n 'go_to_nearest' }}</div>
        {{/if}}
    </div>
</script>

<script id="sub-services-template" type="text/x-handlebars-template">
    {{#if services.length}}
    {{#each services}}
    <div class="service-type-wrapper" data-filter="{{ code }}">
        <div class="service-type">
            <div class="service-type-logo">
                {{#if logo }}
                <img class="{{ code }}" src="{{../mediaUrl }}{{ logo.link }}" alt="">
                {{/if}}
            </div>
            <p>{{{ multiLangRawTranslate title 'value' true}}}</p>
        </div>
    </div>
    {{/each}}
    {{/if}}
</script>

<script id="events-tags-template" type="text/x-handlebars-template">
    {{#if tagList.length}}
        {{#each tagList}}
            <div class="eventTag {{#if (eq this ../tag) }}selected{{/if}}" data-filter="{{this}}">{{ this }}</div>
        {{/each}}
    {{/if}}
</script>

<script id="events-template" type="text/x-handlebars-template">
    {{#if events.length}}
    <div class="eventsWrapper">
        {{#each events}}
        <div class="eventItem" data-filter="{{ id }}">
            {{#if medias}}
                {{#if (eq medias.0.type "IMAGE") }}
                    <div class="eventImage" style="background-image: url('{{../mediaUrl }}{{ medias.0.link }}');"></div>
                {{/if}}
            {{/if}}
            <div class="eventContent">
                {{#if title}}
                    <div class="eventTitle lang-dir-align">{{{ multiLangRawTranslate title 'value' true }}}</div>
                {{/if}}
                <div class="eventTimings">
                    {{ formatDate startDate endDate }}
                </div>
            </div>
        </div>
        {{/each}}
    </div>
    {{/if}}
</script>

<script id="info-template" type="text/x-handlebars-template">
    <div class="info-header">
        <div></div>
        <img src="assets/images/close.png" class="info-header-close" alt="" onclick="hideOneInfoPanel();">
    </div>
    <div class="info-body">
        <div class="info-medias-list-wrapper">
            <div class="info-medias-list">
                {{#if item.medias }}
                {{#each item.medias}}
                <div class="info-media">
                    <img src="{{ ../mediaUrl }}{{ link }}" alt="">
                </div>
                {{/each}}
                {{/if}}
            </div>
        </div>
        {{!--#if onePOI }}
        {{#if onePOI.logo}}
        <div class="info-poi-item-top-logo">
            <img src="{{ mediaUrl }}{{ multiLangRawTranslate onePOI.logo 'link' true }}" alt="">
        </div>
        {{/if}}
        {{/if--}}
        <div class="info-poi-item-top">
            <div class="info-poi-list">
            {{#if onePOI }}
                <div class="info-poi-item" data-filter="{{ onePOI.id }}">
                    <img src="assets/images/map-pin2.png" alt=""> {{{ multiLangRawTranslate onePOI.title 'value' true }}}
                </div>
            {{/if}}
            </div>
            {{#if share }}
            <div class="share-btn iconBtn" data-filter="{{ item.id }}"><img src="{{img 'share'}}" alt=""></div>
            {{/if}}
            <div class="visitlist-add textBtn" data-filter="{{ item.id }}"><img src="{{img 'fav_add'}}" alt=""> {{ i18n 'add_to_mylist' }}</div>
        </div>
        <div class="info-title lang-dir">
            {{#if item.title}}
                {{{ multiLangRawTranslate item.title 'value' true }}}
            {{/if}}
        </div>
        <div class="info-dates lang-dir">
            {{ formatDate item.startDate item.endDate }}
        </div>
        <div class="info-desc lang-dir">
            {{{ multiLangRawTranslate item.description 'value' true }}}
        </div>
    </div>
    <div class="info-actions">
        <div class="info-poi-list">
        {{#if showPOI}}
            {{#each item.pOIs}}
            <div class="info-poi-item" data-filter="{{ this }}">
                <img src="assets/images/map-pin2.png" alt=""><br>{{{ poiTitle this }}}
            </div>
            {{/each}}
        {{/if}}
        </div>
    </div>
</script>

<script id="mall-contact-template" type="text/x-handlebars-template">
    {{#if structuredHours }}
    <div class="todayHours">
        <img src="assets/images/timing.png" alt="">
        {{{ todayHours this false }}}
        <div class="isClosing">{{ closingText this }}</div>
    </div>
    {{/if}}
    <div class="contact-links">
        {{#if phone}}
        <a class="linkText" href="tel:{{ phone }}"><img src="assets/images/phone2.png" alt=""> {{ phone }}</a>
        {{/if}}
        {{#if email}}
        <a class="linkText" href="mailto:{{ email }}"><img src="assets/images/email2.png" alt=""></a>
        {{/if}}
        {{#if website}}
        <a class="linkText" href="{{ website }}" target="_blank" rel="noreferrer"><img src="assets/images/web2.png" alt=""></a>
        {{/if}}
        {{#if facebook}}
        <a class="social-link" href="{{ facebook }}" target="_blank" rel="noreferrer"><img src="assets/images/facebook2.png" alt=""></a>
        {{/if}}
        {{#if instagram}}
        <a class="social-link" href="{{ instagram }}" target="_blank" rel="noreferrer"><img src="assets/images/instagram2.png" alt=""></a>
        {{/if}}
        {{#if twitter}}
        <a class="social-link" href="{{ twitter }}" target="_blank" rel="noreferrer"><img src="assets/images/twitter2.png" alt=""></a>
        {{/if}}
    </div>
</script>

<script id="social-links-template" type="text/x-handlebars-template">
    <div class="contact-links">
        {{#if facebook}}
            <a href="{{ facebook }}" target="_blank" rel="noreferrer"><img src="assets/images/facebook2.png" alt=""></a>
        {{/if}}
        {{#if instagram}}
            <a href="{{ instagram }}" target="_blank" rel="noreferrer"><img src="assets/images/instagram2.png" alt=""></a>
        {{/if}}
        {{#if twitter}}
            <a href="{{ twitter }}" target="_blank" rel="noreferrer"><img src="assets/images/twitter2.png" alt=""></a>
        {{/if}}
    </div>
</script>

<script id="poi-pinpoint-template" type="text/x-handlebars-template">
    {{#if poi.title}}
        {{{ multiLangRawTranslate poi.title 'value' true }}}
    {{else if poi.type}}
        {{ serviceTitle poi.type}}
    {{else if poi.cellId }}
        {{ poi.cellId }}
    {{else}}
        {{ poi.geoId }}
    {{/if}}
    {{#if poi.openingSoon}}
        <br>({{{ opSoonTitle poi }}})
    {{/if}}
</script>

<script id="service-pinpoint-template" type="text/x-handlebars-template">
    <div style="display: flex; align-items: flex-start;">
        <div style="margin-right: 10px;">
            {{#if poi.logo }}
                {{#if poi.code}}
                    <img class="pinpoint-logo" src="{{ mediaUrl }}{{ poi.logo.link }}" alt="">
                {{else unless poi.markId}}
                    <img class="pinpoint-logo" src="{{ mediaUrl }}{{ poi.logo }}" alt="">
                {{/if}}
            {{else if node.logo}}
                <img class="pinpoint-logo" src="{{ mediaUrl }}{{ node.logo }}" alt="">
            {{/if}}
        </div>
        <div style="text-align: left;">
            {{#if poi.title}}
                {{{ multiLangRawTranslate poi.title 'value' true }}}
            {{else if poi.type }}
                {{ serviceTitle poi.type }}
            {{else if node.cat}}
                {{ serviceTitle node.cat }}
            {{/if}}
        </div>
    </div>
</script>

<script id="zone-transition-template" type="text/x-handlebars-template">
    <div style="direction: {{ direction }}">{{{ msg }}}</div>
    <div style="margin-top: 10px; display: flex; align-items: center; justify-content: space-evenly;">
        {{#if directionIcon }}
            <div class="direction-icon {{ directionIcon }}"></div>
        {{/if}}
        {{#if serviceNode.logo }}
            <img class="service-logo" src="{{ mediaUrl }}{{ serviceNode.logo }}" alt="">
        {{/if}}
        {{#if directionIcon }}
            <div class="direction-icon {{ directionIcon }}"></div>
        {{/if}}
        {{#if (multiLangHasValue service.description 'value' false) }}
            <div class="zone-transition-msg">{{{ multiLangRawTranslate service.description 'value' false }}}</div>
        {{/if}}
    </div>
</script>

<script id="visit-list-panel-template" type="text/x-handlebars-template">
    {{#if results.length}}
        {{#each results}}
            <div class="visit-item" data-filter="{{ item.id }}">
                <div class="visit-item-move"><img src="assets/images/burgermenu.png" alt=""></div>
                <div class="visit-item-type">
                    {{#if poi }}
                        <img src="assets/images/small-pin.png" alt="">
                    {{/if}}
                </div>
                <div class="visit-item-title">
                    {{#if item.title}}
                        {{{ multiLangRawTranslate item.title 'value' true }}}
                    {{else if item.type}}
                        {{{ serviceTitle item.type }}}
                    {{/if}}
                </div>
                <div class="visitlist-del iconBtn" data-filter="{{ item.id }}"><img src="assets/images/trash.png" alt="Remove"></div>
            </div>
        {{/each}}
    {{ else }}
        <div class="lang-dir-align">{{{i18n 'visitlist_empty'}}}</div>
    {{/if}}
</script>

<script id="find-car-template" type="text/x-handlebars-template">
    {{#if carResults.length}}
        <div id="fmcResTitle">{{i18n 'fmc_select'}}</div>
        {{#each carResults}}
            {{#if photo}}
            <div class="car-plate-result" data-filter="{{ @index }}"
                style="background: linear-gradient(rgba(0, 0, 0, 0.0), rgba(0, 0, 0, 0.9)), url('{{ photo }}')">
            {{else}}
            <div class="car-plate-result" data-filter="{{ @index }}"
                style="background: linear-gradient(rgba(0, 0, 0, 0.0), rgba(0, 0, 0, 0.9)), url('assets/images/default-parking.jpg')">
            {{/if}}
                <div class="car-map-pin">
                    {{#if nodes}}<img src="assets/images/navigation.png" alt="">{{/if}}
                </div>
                <div class="car-detail">
                    <div class="car-detail-top">{{ plateNumber }}</div>
                    <div class="car-detail-bottom">{{ name }}</div>
                </div>
            </div>
        {{/each}}
    {{ else }}
        <div class="lang-dir-align">{{{i18n 'no_results'}}}</div>
    {{/if}}
</script>

<script id="survey-template" type="text/x-handlebars-template">
    <div id="surveyQuestion"><p>{{#if (gt count 1) }}{{ ind }}/{{ count }}. {{/if}} {{{ i18nItem question.title }}}</p></div>
    <div id="surveyAnswers">
        {{#each question.answers}}
            <div class="survey-answer" data-filter="{{ id }}">
                <div class="answer-image">
                    <img src="assets/widgets/survey/{{ id }}.png">
                </div>
                <p>{{{ i18nItem title }}}</p>
            </div>
        {{/each}}
    </div>
</script>

</body>
</html>